%global momorel   1
%global md5sum_src0 bf610808fa37ec0c6393e841d99defd9

%global emacsver  22.0.50
%global xemacsver 21.4
%global e_sitedir %{_datadir}/emacs/site-lisp
%global xe_sitedir  %{_datadir}/xemacs/site-lisp
%global sitepdir  %{_datadir}/xemacs/site-packages

Summary: Table editing utility for Emacsen
Name: elisp-table
Version: 1.5.54
Release: %{momorel}m
License: GPL
Group: Applications/Editors
URL: http://table.sourceforge.net/
%NoSource 0 http://jaist.dl.sourceforge.net/sourceforge/table/table-%{version}.el.gz %{md5sum_src0}
Source1: table.el
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: emacs >= %{emacsver}
BuildPreReq: xemacs >= %{xemacsver}
BuildPreReq: xemacs-sumo
Requires: emacsen

%description

This package provides text based table creation and editing
feature. With this package Emacsen is capable of editing tables that
are embedded inside a text document, the feature similar to the ones
seen in modern WYSIWYG word processors. A table is a rectangular text
area consisting from a surrounding frame and content inside the
frame. The content is usually subdivided into multiple rectangular
cells. Once a table is recognized, editing operation inside a table
cell is confined into that specific cell's rectangular area. This
means that typing and deleting characters inside a cell do not affect
any outside text but introduces appropriate formatting only to the
sell contents. If necessary for accomodating added text in the cell,
the cell automatically grows vertically and/or horizontally. The
package uses no major mode nor minor mode for its implementation
because the subject text is localized within a buffer. Therefore the
special behaviors inside a table cells are implemented by using
local-map text property instead of buffer wide mode-map. Also some
commonly used functions are advised so that they act specially inside
a table cell.

#'

%package -n table-emacs
Group: Applications/Editors
Summary: A much enhanced LaTeX mode for Emacs
Requires: %{name} = %{version}-%{release}
Requires: emacs >= %{emacsver}
PreReq: info

%description -n table-emacs
Table editing utility for Emacs.

%package -n table-xemacs
Group: Applications/Editors
Summary: A much enhanced LaTeX mode for XEmacs
Requires: %{name} = %{version}-%{release}
Requires: xemacs >= %{xemacsver}
Requires: xemacs-sumo

%description -n table-xemacs
Table editing utility for Emacs.

%prep
%setup -qTc

rm -rf %{buildroot}

gzip -dc %{SOURCE0} > table.el

%build
emacs -q -batch -f batch-byte-compile table.el
mv table.elc table.elc.emacs

xemacs -q -batch -f batch-byte-compile table.el
mv table.elc table.elc.xemacs

%install
mkdir -p %{buildroot}%{e_sitedir}/table
mkdir -p %{buildroot}%{xe_sitedir}/table

install -m 0644 table.el %{buildroot}%{e_sitedir}/table/table.el
install -m 0644 table.elc.emacs %{buildroot}%{e_sitedir}/table/table.elc
install -m 0644 table.el %{buildroot}%{xe_sitedir}/table/table.el
install -m 0644 table.elc.xemacs %{buildroot}%{xe_sitedir}/table/table.elc

mkdir -p %{buildroot}%{_datadir}/config-sample/%{name}
install -m 0644 %{SOURCE1} %{buildroot}%{_datadir}/config-sample/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%dir %{_datadir}/config-sample/%{name}
%{_datadir}/config-sample/%{name}/*

%files -n table-emacs
%defattr(-,root,root)
%dir %{e_sitedir}/table
%{e_sitedir}/table/*

%files -n table-xemacs
%defattr(-,root,root)
%dir %{xe_sitedir}/table
%{xe_sitedir}/table/*

%changelog
* Sun Jul 24 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.5.54-1m)
- up to 1.5.54
- telia -> jaist

* Fri Feb 18 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.5.48-6m)
- xemacs elisps destination is moved from %%{_libdir} to %%{_datadir}.

* Sat Feb 12 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.48-5m)
- rebuild against emacs 22.0.50

* Sun Nov 21 2004 Shigeyuki Yamashita <shige@momonga-linux.org>
- (1.5.48-4m)
- rebuild against emacs-21.3.50

* Thu Mar 20 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.5.48-3m)
- rebuild against emacs-21.3

* Thu Jun 13 2002 Kenta MURATA <muraken2@nifty.com>
- (1.5.48-2k)
- first spec file.
